package com.bonus.canteen.core.cook.service;

import com.bonus.canteen.core.cook.dto.AppletDishesDetailDTO;
import com.bonus.canteen.core.cook.dto.CookH5ReserveRecipeDTO;
import com.bonus.canteen.core.cook.dto.CookH5WeekDetailsDTO;
import com.bonus.canteen.core.cook.dto.UserInfoDTO;
import com.bonus.canteen.core.cook.vo.*;

import java.util.List;

/**
 * @author xliu
 * @date 2025/5/28 9:21
 */
public interface ICookH5Service {
    List<CookH5WeekCanteenListVO> getWeekCanteenList(UserInfoDTO userInfoDTO);

    List<CookH5WeekDetailsVO> getWeekRecipeDetail(CookH5WeekDetailsDTO dto);

    List<CookH5ReserveCanteenListVO> getReserveCanteenList(UserInfoDTO dto);

    List<CookH5ReserveRecipeDetailsVO> getReserveRecipeDetailList(CookH5ReserveRecipeDTO content);

    void scheduledTask();

    AppletDishesDetailVO getDishesDetailByDishesId(AppletDishesDetailDTO dto);
}
